Subject: Re: hardlinks on ntfs/fat
From: Randall R Schulz <[email-masked]>
To: Konstantin Isakov <[email-masked]>, "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 May 2001 20:54:39 -0700

Konstantin,

I think the "inode number" reported by "ls -i" is a better way of 
ascertaining if two directory entries reference the same file or not.

I am curious about why "ln" would copy a file if it gets EXDEV (if I 
remember that right -- Error: cross-device link). I certainly wouldn't want 
that to happen if I explicitly ask to link (not copy). Is that specified 
behavior for the Unix / Linux / POSIX way for the ln command? I see no 
mention of this behavior in the man page or the "ln --help" output.

Randall Schulz
Mountain View, CA USA

At 04:48 2001-05-08, Konstantin Isakov wrote:
>Monday, May 07, 2001, 10:48:40 AM, you wrote:
>
>GPH> Hi cygwinners,
>
>GPH> how is it exactly with hardlinks?
>
>GPH> I got a directory with some files (about 5000),
>GPH> and i made hardlinks to all of them in another directory.
>
>GPH> If i examine now with win-explorer, i got i the first dir
>GPH> about 17 MB and in the latter about 18 MB of files.
>
>GPH> Are they now twice at the disk or are they relly hardlinked?
>
>I think the most easiest way to find it out is to check drive's free space
>amount before and after hardlinking ;)
>
>--
>Konstantin Isakov

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple